Subject: Re: watch-1.0-2

From: Bill Mitchell <[email-masked]>
Date: Tue, 28 Nov 1995 07:43:20 -0800 (PST)

Bdale Garbee <[email-masked]> said:

> This time, I've provided a zero-length .diff.gz file, since the dchanges
> program gets upset if it's not there.

Gunzip will choke on a zero-length compressed file, so I've been
gzipping a file which contains a single newline to provide a .diff.gz
file in this situation (legally gzipped, and legally empty of diffs).

Could whoever owns the packaging guidelines please clarify this?
Is the .diff.gz file required, even if not strictly needed?

Personally, I'd consider this a reasonable requirement, since lack of
diffs tends to break things (e.g., Ian Jackson's recent proposal for a
new packaging format).

If diffs are optional, I'll modify dchanges(1) to consider them optional.